/*
 * symlink.c
 *
 * Copyright (C) 2006  Insigme Co., Ltd
 *
 * This software has been developed while working on the Linux Unified Kernel
 * project (http://www.longene.org) in the Insigma Research Institute,  
 * which is a subdivision of Insigma Co., Ltd (http://www.insigma.com.cn).
 * 
 * The project is sponsored by Insigma Co., Ltd.
 *
 * The authors can be reached at linux@insigma.com.cn.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of  the GNU General  Public License as published by the
 * Free Software Foundation; either version 2 of the  License, or (at your
 * option) any later version.
 *
 * Revision History:
 *   Jan 2006 - Created.
 */
 
/*
 * symlink.c: symbol link functions
 */
#include "win32.h"
#include "object.h"
#include "ntstatus.h"
#include "w32syscall.h"

#ifdef CONFIG_UNIFIED_KERNEL

NTSTATUS
io_create_symbol_link(PUNICODE_STRING SymbolicLinkName,
		PUNICODE_STRING TargetName)
{
	OBJECT_ATTRIBUTES ObjectAttributes;
	HANDLE Handle;
	NTSTATUS Status;

	INIT_OBJECT_ATTR(&ObjectAttributes,
			SymbolicLinkName,
			OBJ_PERMANENT,
			NULL,
			NULL);

	Status = NtCreateSymbolicLinkObject(&Handle,
			STANDARD_RIGHTS_REQUIRED | 0x1,
			&ObjectAttributes,
			TargetName);
	if (Status != STATUS_SUCCESS) {
		return(Status);
	}

	NtClose(Handle);

	return STATUS_SUCCESS;
}
#endif
